Bug 2049885 - Please branch and build openconnect in epel9
Summary: Please branch and build openconnect in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openconnect
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-02 20:37 UTC by Troy Dawson
Modified: 2022-02-20 00:28 UTC (History)
2 users (show)

Fixed In Version: openconnect-8.10-8.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-20 00:28:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2022-02-02 20:37:37 UTC
Please branch and build openconnect in epel9.

If you do not wish to maintain openconnect in epel9,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package. (FAS ID: tdawson)

Comment 1 Troy Dawson 2022-02-08 19:14:13 UTC
Any progress on openconnect?
All the dependencies are not in epel9 yet, but if you just change the conditional for epel8 to epel8 and above, it builds fine.

@@ -20,7 +20,7 @@
 %endif
 
 # RHEL8 does not have libpskc, softhsm, ocserv yet
-%if 0%{?rhel} && 0%{?rhel} == 8
+%if 0%{?rhel} && 0%{?rhel} >= 8
 %define use_tokens 0
 %define use_ocserv 0
 %define use_softhsm 0


I'm also working on getting stoken, ocserv and radcli into epel9 as well.
This will allow us to change that back to just rhel8 in the conditional.

Fun thing though.  ocserv requires openconnect, so it's a circular dependency.
So, if we change that conditional and do a build in epel9, we'll be able to build ocserv.

If you want to just give me commit access to the package, I'll get all that worked out.
https://src.fedoraproject.org/rpms/openconnect/adduser

Comment 2 Nikos Mavrogiannopoulos 2022-02-08 19:20:44 UTC
Hi Troy,
 This has fallen through the cracks for me. I intend to do it some time in the future. I've given you access if you can bring it sooner.

Comment 3 Troy Dawson 2022-02-08 19:36:22 UTC
Thank You.

Comment 4 Fedora Update System 2022-02-08 20:46:51 UTC
FEDORA-EPEL-2022-a73327f743 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a73327f743

Comment 5 Fedora Update System 2022-02-09 01:48:24 UTC
FEDORA-EPEL-2022-a73327f743 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a73327f743

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-02-12 01:26:59 UTC
FEDORA-EPEL-2022-d74411c4ec has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-d74411c4ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-02-20 00:28:03 UTC
FEDORA-EPEL-2022-d74411c4ec has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.